#
# spec file for package vlan
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vlan
Version:        1.9
Release:        144.5
Summary:        802.1q VLAN Implementation for Linux
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Other
URL:            https://www.candelatech.com/~greear/vlan.html
# online url http://www.candelatech.com/~greear/vlan/vlan.1.9.tar.gz but tarball is broken there
# this is a bz2 version of it
Source:         vlan.%{version}.tar.bz2
# from now offline       http://scry.wanfear.com/~greear/vlan/cisco_howto.html, accessible through https://web.archive.org/web/20070429115150/http://scry.wanfear.com/~greear/vlan/cisco_howto.html
Source1:        cisco_howto.html.bz2
BuildRequires:  gcc-c++

%description
An 802.1q vlan implementation for Linux. See
http://www.candelatech.com/~greear/vlan.html for more information.

%prep
%setup -q -n vlan
cp -p %{SOURCE1} .

%build
%make_build clean
%make_build CCFLAGS="%{optflags} -D_GNU_SOURCE -Wall" STRIP=true

%install
make DESTDIR=%{buildroot}
mkdir -p %{buildroot}/{sbin,%{_sbindir},%{_mandir}/man8/}
install -m755 vconfig   %{buildroot}/%{_sbindir}
install -m644 vconfig.8 %{buildroot}%{_mandir}/man8/
%if 0%{?suse_version} < 1550
ln -sf %{_sbindir}/vconfig %{buildroot}/sbin
%endif

%files
%defattr(644,root,root,755)
%doc *.html *.pl CHANGELOG README
%{_mandir}/man8/vconfig.8%{?ext_man}
%attr(755,root,root) %{_sbindir}/vconfig
%if 0%{?suse_version} < 1550
%attr(755,root,root) /sbin/vconfig
%endif

%changelog
* Tue Nov  7 2023 Dirk Müller <dmueller@suse.com>
- spec-cleaner run
* Thu Oct 19 2023 Frederic Crozat <fcrozat@suse.com>
- Drop url for sources, they are no longer valid.
* Tue Dec 27 2022 Ludwig Nussel <lnussel@suse.com>
- Replace transitional %%usrmerged macro with regular version check (boo#1206798)
* Wed Nov  4 2020 Ludwig Nussel <lnussel@suse.de>
- prepare usrmerge (boo#1029961)
* Wed Sep 24 2014 mt@suse.com
- Removed obsolete README.SuSE (fate#316521,bnc#888999),
  see ifcfg-vlan(5) manual page for actual informations.
* Wed Feb 15 2012 mt@suse.com
- Corrected last change log entry.
* Mon Jan 30 2012 rschweikert@suse.com
- Changed install of vconfig to /usr/sbin as part of usr merge
  project. With having /usr on a remote fs is supported by
  initrd, thus this does not effect issues reported in (#285472)
  any more.
* Tue Dec 18 2007 mt@suse.de
- Removed obsolete hardware descriptions usage info from README
- Changed to install vconfig in /sbin for /usr on nfs (#285472)
* Mon Nov  6 2006 schwab@suse.de
- Clean debris before building.
* Fri Oct 27 2006 poeml@suse.de
- update to 1.9:
  - Fixed error exit codes to be !0 (makes it behave much better in
    scripts.
  - there are also changes in macvlan_config.c, which we don't
    package though.
* Wed Mar 29 2006 poeml@suse.de
- updated README for usage of hardware descriptions for ETHERDEVICE
  [#150771]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Fri Mar  5 2004 poeml@suse.de
- update to 1.8
- vlan.1.6-strings.patch dropped, is fixed upstreams
* Thu Feb 26 2004 hmacht@suse.de
- added option norootforbuild in specfile
* Thu Jul 24 2003 poeml@suse.de
- update to 1.7m
* Tue Jan 14 2003 nadvornik@suse.cz
- fixed multi-line string literals
* Wed Jul 17 2002 okir@suse.de
- added README describing sysconfig/network hooks for VLAN
* Thu Apr 11 2002 ro@suse.de
- up to version 1.6 to fix compile issues
* Sat Feb  2 2002 poeml@suse.de
- initial package...
